Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jvm
Interface OptimizationLevel

All Superinterfaces:
  Describable

Deprecated. Replaced by CodeGenerationStrategy.

public interface OptimizationLevel
extends Describable

A representation of a set of optimizations that comprise a 'level' of optimization.

Typically the JVM will choose a level of optimization depending on profiling data telling the cost/benefit ratio of a methods usage and the 'cost' of performing the compilation/optimization.

Author:
  Calle Wilund

Method Summary
`java.lang.String` | `getDescription()` Deprecated. Returns a description of the optimization level, including descriptions of the active optimizations.
`int` | `getLevel()` Deprecated. Get a numerical 'optimization level' for this OptimizationLevel.
`java.util.Collection` | `getOptimizations()` Deprecated. Return the set of optimizations perfomed when compiling with this OptimizationLevel.

Method Detail

### getLevel

    public int getLevel()

  Deprecated.
  Get a numerical 'optimization level' for this OptimizationLevel. It is assumed that increasing numbers represent more expensive code generation, and hopefully better generated code.

  Returns:
    see above.

### getOptimizations

    public java.util.Collection getOptimizations()

  Deprecated.
  Return the set of optimizations perfomed when compiling with this OptimizationLevel.

  Returns:
    see above.
  See Also:
    `Optimization`

### getDescription

    public java.lang.String getDescription()

  Deprecated.
  Returns a description of the optimization level, including descriptions of the active optimizations.

  Specified by:
    `getDescription` in interface `Describable`
  Returns:
    the description as a String.
  See Also:
    `Describable.getDescription()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD